unit TestUnit;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Db, DBCtrls, ExtCtrls, DBTables, Grids, Buttons, StdCtrls, DBGrids,
  ODArray;

type
  TDataForm = class(TForm)
    Table1: TTable;
    Panel1: TPanel;
    DBNavigator1: TDBNavigator;
    DataSource1: TDataSource;
    LoadButton: TSpeedButton;
    ActiveCheck: TCheckBox;
    Panel2: TPanel;
    DBGrid1: TDBGrid;
    Splitter1: TSplitter;
    StringGrid1: TStringGrid;
    ODDataArray1: TODDataArray;
    ClearButton: TSpeedButton;
    ViewCheck: TCheckBox;
    SpeedButton1: TSpeedButton;
    procedure FormCreate(Sender: TObject);
    procedure LoadButtonClick(Sender: TObject);
    procedure ActiveCheckClick(Sender: TObject);
    procedure ViewCheckClick(Sender: TObject);
    procedure ClearButtonClick(Sender: TObject);
    procedure SpeedButton1Click(Sender: TObject);
  public
    DataArray: TODDataArray;
  end;

var
  DataForm: TDataForm;

implementation

uses ODAbout;

{$R *.DFM}

procedure TDataForm.FormCreate(Sender: TObject);
begin
  DataArray := TODDataArray.Create(Self);
  DataArray.DataSet := Table1;
end;

procedure TDataForm.LoadButtonClick(Sender: TObject);
begin
  ODDataArray1.Load;
end;

procedure TDataForm.ClearButtonClick(Sender: TObject);
begin
  ODDataArray1.Clear;
end;

procedure TDataForm.ActiveCheckClick(Sender: TObject);
begin
  Table1.Active := ActiveCheck.Checked;
end;

procedure TDataForm.ViewCheckClick(Sender: TObject);
begin
  if ViewCheck.Checked then
    ODDataArray1.StringGrid := StringGrid1
  else
  begin
    ODDataArray1.StringGrid := nil;
    StringGrid1.FixedRows := 0;
    StringGrid1.RowCount := 1;
    StringGrid1.ColCount := 0;
    StringGrid1.Cells[0,0] := '';
  end;
end;

procedure TDataForm.SpeedButton1Click(Sender: TObject);
begin
  ODAboutForm.ShowModal;
end;

end.
